Bug 53668 - POST results in JSON format
Summary: POST results in JSON format
Status: RESOLVED WONTFIX
Alias: None
Product: JMeter
Classification: Unclassified
Component: Main (show other bugs)
Version: 2.7
Hardware: All All
: P2 enhancement (vote)
Target Milestone: ---
Assignee: JMeter issues mailing list
URL:
Keywords: PatchAvailable
Depends on:
Blocks:
 
Reported: 2012-08-07 10:51 UTC by Ian Bisset
Modified: 2015-12-29 15:44 UTC (History)
1 user (show)



Attachments
JMeter component source code - Result Uploader (listener) (55.42 KB, application/zip)
2012-08-07 10:51 UTC, Ian Bisset
Details
Web app for receiving JSON POSTs from JMeter (25.21 KB, application/zip)
2012-09-04 16:22 UTC, Ian Bisset
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ian Bisset 2012-08-07 10:51:08 UTC
Created attachment 29178 [details]
JMeter component source code - Result Uploader (listener)

Hi!

I've been using JMeter recently for my client in London and have just implemented a web based front-end for displaying the test results.

As such I've written a component that extends the ResultCollector class and posts the results at run-time to a RESTful web service in JSON format.

I would like to give this to the JMeter community so that its available for general use (see zip attached)

As I am new to JMeter development it would be fantastic if an experienced JMeter developer could review my code and integrate it into the next release.

Please don't hesitate to contact me, and I'd be very happy to help improve/further develop the code :)

Best,
Ian Bisset
Comment 1 Philippe Mouawad 2012-08-21 23:05:52 UTC
Thank you for your patch.

A question I have is the usage expected for this component.
From my understanding it posts results to a JSON talking server which handles these.
So unless I misunderstand, to be useful we should have the server part.

Another question is , aren't you afraid that this listener impacts badly Test behaviour :
- network impact from it sending the results
- CPU, memory impact on JMeter instance which would slow down what is injected on server


Regards
Philippe
Comment 2 Ian Bisset 2012-09-04 16:22:05 UTC
Created attachment 29327 [details]
Web app for receiving JSON POSTs from JMeter

Web app for receiving JSON POSTs from JMeter (used with the Result Uploader component).
Comment 3 Ian Bisset 2012-09-04 16:57:55 UTC
Hi Philippe,

You are correct, see zip attached. This is the web app that receives the json requests and submits the data to a database (db connection string defined in src/main/resources/WebResource.properties, and db tables defined in db/create-tables.sql).

It has been really useful to my client (BSkyB) and several teams are now using this JMeter framework instead of LoadRunner because of the quality of the UI. I can provide screen shots if this helps along with further explanations.  I also have the js/php front-end code if you need that?

Regarding your concerns on resources, CPU is affected of course but there hasn't been any noticeable impact on test timing. On each result the data is pushed onto a Queue, so it is only this action that will inhibit the test running (negligible). The json post is handled by a background Timer thread that does not inhibit the running test.

If you think this will be of use I will of course be more than happy to help develop further if need be :)

Kind regards
Ian
Comment 4 Philippe Mouawad 2015-12-29 15:44:24 UTC
A BackendListener client implementation would be now better suited since 2.13.
Closing as WONTFIX.